using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration.Install;

namespace SetupCustomActions
{
	[RunInstaller(true)]
	public partial class Minntech : Installer
	{
		public Minntech()
		{
			InitializeComponent();
		}

		public override void Commit(System.Collections.IDictionary savedState)
		{
			CustomActionHelper help = new CustomActionHelper();
			if (this.Context.Parameters["InstallMDAC"] == "true")
			{
				help.InstallMDAC();
				if (this.Context.Parameters["InstallType"] == "2")
				{
					dlgPromptReboot dlg = new dlgPromptReboot();
					dlg.ShowDialog();
				}
			}
			base.Commit(savedState);
		}
	}
}